@echo off

REM ~dp0 steht für das Verzeichnis, in der diese Datei liegt 
pushd %~dp0\..

set PROJECT=%cd%
set PROJECT_BIN=%PROJECT%\bin
set PROJECT_CFG=%PROJECT%\cfg
set PROJECT_DOC=%PROJECT%\doc
set PROJECT_LIB=%PROJECT%\lib
set PROJECT_DATA=%PROJECT%\data
set PROJECT_WORK=%PROJECT%\work
set PROJECT_TEST=%PROJECT%\testdata
set PROJECT_LOG=%PROJECT%\log

if not exist %PROJECT%\data mkdir %PROJECT%\data
if not exist %PROJECT%\work mkdir %PROJECT%\work
if not exist %PROJECT%\log mkdir %PROJECT%\log
if not exist %PROJECT%\testdata mkdir %PROJECT%\testdata

set PATH=%PROJECT_BIN%;%PATH%


popd
goto :eof
